Bug 84293 - Move Cut/Copy/Paste to the top in the context menu
Summary: Move Cut/Copy/Paste to the top in the context menu
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Yousuf Philips (jay)
QA Contact:
URL:
Whiteboard: target:4.5.0 target:4.4.0.0.beta2
Keywords:
Depends on:
Blocks: Paste
  Show dependency treegraph
 
Reported: 2014-09-24 18:54 UTC by Yousuf Philips (jay)
Modified: 2016-09-26 22:10 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
edit mode cell (9.02 KB, image/png)
2014-09-24 19:51 UTC, kompilainenn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2014-09-24 18:54:43 UTC
Bug 71770 fixed the issue in Writer, Impress and Draw, but unfortunately didnt in Calc.
Comment 1 kompilainenn 2014-09-24 19:51:06 UTC
Created attachment 106813 [details]
edit mode cell
Comment 2 kompilainenn 2014-09-24 19:51:29 UTC
cell in edit mode commands to cut, copy, paste at the top of the context menu. if a cell is simply selected, the commands are not in the top of the list
Comment 3 Yousuf Philips (jay) 2014-09-25 00:53:02 UTC
Yes when you are editing the contents of a cell, the entries appear at the top of the context menu, but if you right-click on the cell itself, or selected a group of cells and then right-click, the entries will be at the bottom.
Comment 4 Yousuf Philips (jay) 2014-11-30 19:11:58 UTC
Patch pushed - https://gerrit.libreoffice.org/#/c/13216/
Comment 5 Commit Notification 2014-12-01 10:15:13 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f1da0cff2f67b0c66ec9e3cc5d9855b591eb8648

fdo#84293 move clipboard functions to the top of context menu

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2014-12-01 17:47:55 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=56856a43100ded70463d3721afa2fb13d054bd88&h=libreoffice-4-4

fdo#84293 move clipboard functions to the top of context menu

It will be available in 4.4.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Mike §chinagl 2014-12-20 23:02:31 UTC
This bug fix comes with LibreOffice 4.4 (release notes https://wiki.documentfoundation.org/ReleaseNotes/4.4) 

Cut, Copy and Paste actions are now at the top of the context menu.